cURL
curl -X DELETE "https://api.sitespy.app/api/v1/watch/095be615-a8ad-4c33-8e9c-c7612fbf6c9f" \
-H "x-api-key: YOUR_API_KEY"import requests
headers = {'x-api-key': 'YOUR_API_KEY'}
uuid = '095be615-a8ad-4c33-8e9c-c7612fbf6c9f'
response = requests.delete(f'https://api.sitespy.app/api/v1/watch/{uuid}', headers=headers)
print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sitespy.app/api/v1/watch/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));"OK"Watch Management
Delete watch
Delete a web page change monitor (watch) and all related history
DELETE
/
watch
/
{uuid}
cURL
curl -X DELETE "https://api.sitespy.app/api/v1/watch/095be615-a8ad-4c33-8e9c-c7612fbf6c9f" \
-H "x-api-key: YOUR_API_KEY"import requests
headers = {'x-api-key': 'YOUR_API_KEY'}
uuid = '095be615-a8ad-4c33-8e9c-c7612fbf6c9f'
response = requests.delete(f'https://api.sitespy.app/api/v1/watch/{uuid}', headers=headers)
print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sitespy.app/api/v1/watch/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));"OK"Authorizations
API key for authentication. You can find your API key in the Site Spy dashboard under Settings → API.
Path Parameters
Web page change monitor (watch) unique ID
Response
200 - text/plain
Web page change monitor (watch) deleted successfully
The response is of type string.
Example:
"OK"

